from django import template
from django.contrib import admin


register = template.Library()


@register.simple_tag(name='get_admin_tools')
def do_get_admin_tools():
    return admin.site.get_tools()


@register.filter(name='inline_data')
def do_inline_data(formset):
    items = []
    for form in formset.forms:
        item = {name: form[name].value()
                for name in form.fields.keys()}
        item['__errors__'] = form.errors

        # hack for playlist editor
        tags = item.get('tags')
        if tags and not isinstance(tags, str):
            item['tags'] = ', '.join(tag.name for tag in tags)
        items.append(item)
    return {"items": items}
    
